#ifndef AUXDATOUT_H
#define AUXDATOUT_H

#include <stdio.h>

class auxdatout
{
 public:
  auxdatout (void);
  ~auxdatout (void);
  void read (FILE *in);
  void printin (FILE *out);
  void print (FILE *out,long step,double lambda,long lcid);
  
  //  number of nodes where displacements are printed
  long nnoddispl;
  //  array containing node numbers
  long *noddispl;
  //  number of elements where strains are printed
  long nelemstra;
  //  array containing element numbers
  long *elemstra;
  //  number of elements where stresses are printed
  long nelemstre;
  //  array containing element numbers
  long *elemstre;
  //  number of elements where parts of array other are printed
  long nelemother;
  //  array containing element numbers
  long *elemother;
  //  array containing numbers of segments from other array
  long *elemnseg;
  //  array containing initial and final indeces of printed segments
  long **eleminit;
  long **elemfin;

};

#endif
