#ifndef DESCRIP_H
#define DESCRIP_H

struct descrip
/**
  This structure holds data about input files of preprocessor
*/
{
  char t3df[1025];   ///< t3d file name
  char matf[1025];   ///< material file name
  char crf[1025];    ///< cross-section file name
  long t3d;          ///< switch if t3d file is given (1) or alternative format (0)
  long seq;          ///< indicator whether sequential version of preprocessor should be used (<> 0) or paralell (= 0)
  long redgn;        ///< indicator whether edge numbers of element should be read (=1)
};

#endif
