#ifndef INPUT_H
#define INPUT_H

#include <stdio.h>
#include "descrip.h"
#include "xfile.h"

/// main function for input from the preprocessor file
long input(XFILE *in, descrip *d);
/// input topolgy using siftop class
long input_siftop(descrip *d);
/// input material from the material file
long input_materials(char *in);
/// input cross-section from the cross-section file
long input_crs(char *in);
/// input nodal and element properties
long input_prop(XFILE *in, long &npropn, long &nprope, long &nl);

#endif
